ReferenceRest
Add leads to mission
AuthorizationBearer <token>
Use Authorization: Bearer <salestouch_api_key>.
In: header
Path Parameters
missionHandle*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://www.salestouch.io/api/v1/missions/string/leads" \ -H "Content-Type: application/json" \ -d '{ "leads": [ { "email": "user@example.com" } ] }'{
"data": {
"mission": {
"id": "string",
"organizationId": "string",
"agentHandle": "string",
"offerId": "string",
"handle": "string",
"name": "string",
"language": "string",
"status": "ACTIVE",
"objective": "string",
"description": "string",
"channels": [
"EMAIL"
],
"emailReviewStrategy": "AUTO",
"emailReviewWebhookUrl": "string",
"importType": "CSV",
"whoAreThey": "string",
"whyWeContactThem": "string",
"desiredAction": "string",
"keyMessage": "string",
"ctaUrl": "string",
"toneInstructions": "string",
"emailExamples": [
"string"
],
"lastUsedAt": "2019-08-24T14:15:22Z",
"leadCount": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}
}{
"error": {
"message": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"code": "string"
}
}